[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TDBGridColumns.ColumnByFieldname

Gets the collection item with the specified field name.

## Declaration

Source position: dbgrids.pas line 310

`public function TDBGridColumns.ColumnByFieldname(`
`const aFieldname: string`
`):TColumn;`

## Arguments

`aFieldname` |  | Field name to locate the collection items.

## Function result

TColumn instance with the specified name, or Nil.

## Description

ColumnByFieldname is a TColumn function used to get the collection item with the field name in aFieldname. Performs a case-insensitive comparison between the FieldName property in the collection items and the value in aFieldname. The return value is Nil if a column is not found with the specified name.